Package twisted :: Package internet :: Module stdio

[frames | no frames]

## Module twisted.internet.stdio

    Standard input/out/err support.

    API Stability: unstable (pending deprecation in favor of a reactor-based API)

    Future Plans:

        support for stderr, perhaps
        Rewrite to use the reactor instead of an ad-hoc mechanism for connecting
            protocols to transport.

    Maintainer: U{Itamar Shtull-Trauring<mailto:twisted@itamarst.org>}

Classes
`StandardIO` | I can connect Standard IO to a twisted.protocol I act as a selectable for sys.stdin, and provide a write method that writes to stdout.
`StandardIOWriter` |

Variable Summary
`int` | `_stdio_in_use` = 0

Variable Details

### _stdio_in_use

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:18 2004 | http://epydoc.sf.net